<?php


namespace CMSMSExt\core;


class xtapi
{
  protected array $_target = [];
  use TSingleton;
  
  
  protected function __construct()
  {
    $this->_target = \func_get_args()[0][0][0];
  }
  
  public static function getInstance(...$args)
  {
    if (null === static::$_instance){ static::$_instance = new static($args);}
    
    return static::$_instance;
  }
}

?>